Subject: Attachments and disk usage (fwd)

From: Scott Leibrand <[email-masked]>
Date: Wed, 8 Dec 1999 15:35:29 -0800 (PST)

Here's a copy of a message I sent to the Pine Development Team that I
thought you guys might be interested in.  Please let me know what you
think of my suggestions, or if you have anything you'd like to add.

-- 
Scott Leibrand
[email-masked]
http://students.washington.edu/leibrand
* RCW 19.190 notice: This email address is located in Washington State. *
* Unsolicited commercial email may be billed $500 per message.          *

---------- Forwarded message ----------
Date: Wed, 8 Dec 1999 15:30:52 -0800 (PST)
Subject: Attachments and disk usage

Here at the UW, increasing numbers of large e-mail attachments are leading
to disk space problems for many users.  Although such problems will be
temporarily alleviated by increasing disk quotas, it would be a good idea
to address possible solutions now.  One specific problem I've noticed is
the difficulty of deleting e-mail attachments from messages in Pine, and
in managing attachments in general.  To help address these issues, I
suggest the following features in the next release of Pine.  Please let me
know what you think of them.

- In the Attachment View, there is currently a Delete option to delete
attachments.  For the deletion to take effect, however, requires saving
the message to a folder (either the same one or another one).  Since the
point of deleting an attachment is usually to free up disk space, not to
move the messsage, I would suggest (as others have on pine-info) an
eXpunge command in the Attachment View that allows you to delete the
attachment without the counterintuitive requirement of saving the message
to the folder it's already in.  This new command could be implemented by
simply performing that save (which would mess up arrival sorts) or by a
more comprehensive method that would delete the attachment without moving
the message.  In addition, configurable options could be added to prompt
about expunging deleted attachments when the Attachment View is closed and
to extend the expunge-without-confirm option to attachments.

Although the changes above would make it easy for Pine users to delete
attachments manually, a more automatic method would be required to make
much impact on global disk usage.  Here are a couple suggestions:

- Since most Pine users at the UW use the View and Save commands to save
attachments to their home directories where they can be downloaded with
FTP, the attachment itself, embedded in the mail folder, is often no
longer needed.  Therefore, it might be helpful to prompt users to delete
the attachment after exporting it (with a default of No, probably) to
prevent attachment duplication.

This still leaves attachment management entirely up to the user.  A more
complete solution would be something along the lines of what Robert Larmon
mentioned on pine-info.  Here's what I think would work best for the UW:

- In the case of users who use Unix Pine exclusively on the UA machines,
Pine could automatically (or configurably after confirmation) save all
incoming attachments to one of the user's directories, with the default
something like ~/attach/.  For PC-Pine, a similar folder like "c:\my
documents\attachments\" could be used, but here confirmation would be
asolutely essential for users with slower connections.  For users who use
both Unix Pine and desktop e-mail clients (including PC-Pine), attachments
must remain on the IMAP server until they can be downloaded by the desktop
e-mail client.  Therefore I recommend that Pine (both unix and PC) save
attachments to the folder specified above, then only delete attachments
when configurable criteria are met, and (configurably) only after
confirmation.  These criteria could include:  After __ days
(0=immediately); When total attachment size exceeds ____; or When within
____ of disk quota.

Let me know what you think,
-- 
Scott Leibrand
Training Technical Support Lead
Computing & Communications
[email-masked]

On Wed, 8 Dec 1999, David Wall wrote:

> FYI.
> 
> --David Wall    Computing & Communications...Client Services 206.543.8491
>                 Univ. of Washington Box 355670  [email-masked]
> 
> 
> ---------- Forwarded message ----------
> Date: Tue, 7 Dec 1999 16:16:48 -0800 (PST)
> From: Ken Lowe <[email-masked]>
> To: David Wall <[email-masked]>,
>      Robert Jamieson <[email-masked]>,
>      Hugh Sheets <[email-masked]>
> Cc: [email-masked], [email-masked],
>      [email-masked]
> Subject: Re: raise quotas to 100 MB (fwd)
> 
> User quotas have been upped from 50MB to 100MB on both dante and homer.
> It will take effect tomorrow morning during the 2am accounting run
> tonight.
> 
> [snip]
> 
> -Ken
> 
> -----
> 
> Date: Thu, 2 Dec 1999 15:57:44 -0800 (PST)
> From: Hugh Sheets <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], [email-masked],
>      [email-masked]
> Subject: Re: raise quotas to 100 MB (fwd)
> 
> Proceeding sounds good, and Client Services would be happy.  And, more 
> disk is coming down the road....
> 
> Hugh
> 
> On Thu, 2 Dec 1999, Ken Lowe wrote:
> 
> > On homer, there are:
> > 
> >    23637 accounts with a 50 MB limit
> >      660 of them are using 40MB or more.
> > 
> > On dante, there are:
> > 
> >    48917 accounts with a 50 MB limit
> >     1047 of them are using 40MB or more.
> > 
> > Assuming those with 40MB or more will go up to 80MB or more and
> > those under 40MB would pretty much stay where they are, I figure
> > bumping everyone up to 100MB would consume about 40GB on homer
> > and about 60GB on dante in addition to the normal growth we're
> > seeing.  Even if all that extra growth occurs on the deskmail
> > systems (likely) I think we'll still be okay.
> > 
> > Shall I go ahead and bump them up and see what happens?
> > 
> > -Ken
> > 
> > -----
> > 
> > Date: Thu, 18 Nov 1999 11:04:16 -0800 (PST)
> > From: Hugh Sheets <[email-masked]>
> > To: [email-masked], [email-masked]
> > Cc: [email-masked], [email-masked]
> > Subject: raise quotas to 100 MB (fwd)
> > 
> > Ken, Doug, you should see this, too.  Do we have the disk space for this?
> > 
> > Hugh
> > 
> > ---------- Forwarded message ----------
> > Date: Thu, 18 Nov 1999 10:48:44 -0800 (PST)
> > From: David Wall <[email-masked]>
> > To: Hugh Sheets <[email-masked]>
> > Cc: Jim DeRoest <[email-masked]>,
> >      Oren Sreebny <[email-masked]>
> > Subject: raise quotas to 100 MB
> > 
> > We have discussed this at the Client Services meeting and would like to
> > recommend that quotas on Homer and Dante be bumped up to the 100 MB maximum
> > as was recently done on Aagaard.  If it can't be done in both places, our
> > priority is for Homer.
> > 
> > The reason is that a lot of time is wasted by users and and by our staff
> > dealing with over quota email conditions.  There doesn't seem to be much
> > benefit of having an artificial limit.
> > 
> > We are seeing more and more large email attachments as routine business
> > operations.  We also see more people using desktop clients without a clue as
> > to where their folders live or the space they take up.  There are a lot of
> > 'issues' about disk use.  If we can't afford what they are using, then
> > someone should look at specific problems and ways to address those.  But an
> > artificial 50MB limit is not productive.
> > 
> > 
> > --David Wall    Computing & Communications...Client Services 206.543.8491
> >                 Univ. of Washington Box 355670  [email-masked]
> 
> 
> 
> 

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------